The used ipsec-tools is based on version 0.7.3 which run on the android system version gingerbread.

Please help me, thanks.